# eric4.QScintilla.Lexers.LexerDiff

Module implementing a Diff lexer with some additional methods.

### Global Attributes

None

### Classes

LexerDiff | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerDiff

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerDiff, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerDiff | Constructor
defaultKeywords | Public method to get the default keywords.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerDiff (Constructor)

LexerDiff(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerDiff.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerDiff.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerDiff.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up